import { JSX } from "solid-js";

interface Props {
  title: string;
  icon: JSX.Element;
  children: JSX.Element;
}

function Card(props: Props) {
  return (
    <div class="card">
      <header class="card-header">
        <p class="card-header-title">
          <span class="icon-text">
            <span class="icon">
              {props.icon}
            </span>
            <span>{props.title}</span>
          </span>
        </p>
      </header>
      <div class="card-content">
        <div class="content">
          {props.children}
        </div>
      </div>
    </div>
  );
}

export default Card;
